sidatasupiori/rizq_sanjaya_app/urls.py
from django.urls import path, include
from .views import *
from django.contrib.auth import views as auth_views


app_name = 'profile'
urlpatterns = [
    path('', dashboard.index, name='home'),
    ################################################# PATH URL UNTUK ADMIN################################################# 
    path('manage_panel/', include(
        [
            path('', admin.index, name='admin_home'),
            path('verification/', user.verification, name='admin_verification'),
            path('send_verification/', user.send_verification, name='admin_send_verification'),
            path('email/verify/<uidb64>/<token>/',user.email_verify, name='admin_email_verify'),

            #DATA UMKM===============================
            path('penanggungjawab/', include(
                [
                    path('', penanggungjawab.admin_index, name='admin_penanggungjawab'),   
                    path('create/', penanggungjawab.create, name='admin_penanggungjawab_create'), 
                    path('edit/<int:id>', penanggungjawab.edit, name='admin_penanggungjawab_edit'),
                    path('soft_delete/<int:id>', penanggungjawab.softDelete, name='admin_penanggungjawab_soft_delete'),
                    path('restore/<int:id>', penanggungjawab.restore, name='admin_penanggungjawab_restore'),
                ]
            )),

            #DATA DISTRIK===============================
            path('distrik/', include(
                [
                    path('', distrik.admin_index, name='admin_distrik'),   
                    path('create/', distrik.create, name='admin_distrik_create'), 
                    path('edit/<int:id>', distrik.edit, name='admin_distrik_edit'),
                    path('soft_delete/<int:id>', distrik.softDelete, name='admin_distrik_soft_delete'),
                    path('restore/<int:id>', distrik.restore, name='admin_distrik_restore'),
                ]
            )),
            #DATA KAMPUNG===============================
            path('kampung/', include(
                [
                    path('', kampung.admin_index, name='admin_kampung'),   
                    path('create/', kampung.create, name='admin_kampung_create'), 
                    path('edit/<int:id>', kampung.edit, name='admin_kampung_edit'),
                    path('soft_delete/<int:id>', kampung.softDelete, name='admin_kampung_soft_delete'),
                    path('restore/<int:id>', kampung.restore, name='admin_kampung_restore'),
                ]
            )),
             #DATA UMKM===============================
            path('umkm/', include(
                [
                    path('', umkm.admin_index, name='admin_umkm'),   
                    path('create/', umkm.create, name='admin_umkm_create'), 
                    path('edit/<int:id>', umkm.edit, name='admin_umkm_edit'),
                    path('soft_delete/<int:id>', umkm.softDelete, name='admin_umkm_soft_delete'),
                    path('restore/<int:id>', umkm.restore, name='admin_umkm_restore'),
                ]
            )),
           
            #DATA KELEMBAGAAN===============================
            path('kelembagaan/', include(
                [
                    path('', lembaga.admin_index, name='admin_kelembagaan'),   
                    path('create/', lembaga.create, name='admin_kelembagaan_create'), 
                    path('edit/<int:id>', lembaga.edit, name='admin_kelembagaan_edit'),
                    path('soft_delete/<int:id>', lembaga.softDelete, name='admin_kelembagaan_soft_delete'),
                    path('restore/<int:id>', lembaga.restore, name='admin_kelembagaan_restore'),
                ]
            )),

            #DATA KOMINFO===============================
            path('kominfo/', include(
                [
                    path('', kominfo_.admin_index, name='admin_kominfo'),   
                    path('create/', kominfo_.create, name='admin_kominfo_create'), 
                    path('edit/<int:id>', kominfo_.edit, name='admin_kominfo_edit'),
                    path('soft_delete/<int:id>', kominfo_.softDelete, name='admin_kominfo_soft_delete'),
                    path('restore/<int:id>', kominfo_.restore, name='admin_kominfo_restore'),
                ]
            )),

            #DATA PU===============================
            path('pu/', include(
                [
                    path('', pu.admin_index, name='admin_pu'),   
                    path('create/', pu.create, name='admin_pu_create'), 
                    path('edit/<int:id>', pu.edit, name='admin_pu_edit'),
                    path('detail/<int:id>', pu.detail, name='admin_pu_detail'),
                    path('detail_/<int:id>', pu.detail_, name='admin_pu_detail_'),
                    path('soft_delete/<int:id>', pu.softDelete, name='admin_pu_soft_delete'),
                    path('restore/<int:id>', pu.restore, name='admin_pu_restore'),
                ]
            )),

            #DATA PERHUBUNGAN===============================
            path('perhubungan/', include(
                [
                    path('', perhubungan.admin_index, name='admin_perhubungan'),   
                    path('create/', perhubungan.create, name='admin_perhubungan_create'), 
                    path('edit/<int:id>', perhubungan.edit, name='admin_perhubungan_edit'),
                    path('soft_delete/<int:id>', perhubungan.softDelete, name='admin_perhubungan_soft_delete'),
                    path('restore/<int:id>', perhubungan.restore, name='admin_perhubungan_restore'),
                ]
            )),
            #DATA SOSIAL===============================
            path('sosial/', include(
                [
                    path('', sosial.admin_index, name='admin_sosial'),   
                    path('create/', sosial.create, name='admin_sosial_create'), 
                    path('edit/<int:id>', sosial.edit, name='admin_sosial_edit'),
                    path('soft_delete/<int:id>', sosial.softDelete, name='admin_sosial_soft_delete'),
                    path('restore/<int:id>', sosial.restore, name='admin_sosial_restore'),
                ]
            )),

            #DATA PERIKANAN===============================
            path('perikanan/', include(
                [
                    path('', perikanan.admin_index, name='admin_perikanan'),   
                    path('create/', perikanan.create, name='admin_perikanan_create'), 
                    path('edit/<int:id>', perikanan.edit, name='admin_perikanan_edit'),
                    path('edit_detail/<int:id>', perikanan.edit_kub, name='admin_perikanan_edit_detail'),
                    path('create_data/<int:id>', perikanan.detailPerikanan, name='admin_perikanan_create_data'),
                    path('soft_delete/<int:id>', perikanan.softDelete, name='admin_perikanan_soft_delete'),
                    path('soft_delete_detail/<int:id>', perikanan.softDelete_detail, name='admin_perikanan_soft_delete_detail'),
                    path('restore/<int:id>', perikanan.restore, name='admin_perikanan_restore'),
                    path('restore_detail/<int:id>', perikanan.restore_detail, name='admin_perikanan_restore_detail'),
                ]
            )),
            #DATA FASILITAS OLAHRAGA===============================
            path('fasilitasolahraga/', include(
                [
                    path('', fasilitasolahraga.admin_index, name='admin_fasilitas_olahraga'),   
                    path('create/', fasilitasolahraga.create, name='admin_fasilitas_olahraga_create'), 
                    path('edit/<int:id>', fasilitasolahraga.edit, name='admin_fasilitas_olahraga_edit'),
                    path('create_data/<int:id>', fasilitasolahraga.detailFasilitas, name='admin_fasilitas_olahraga_create_data'),
                    path('soft_delete/<int:id>', fasilitasolahraga.softDelete, name='admin_fasilitas_olahraga_soft_delete'),
                    path('soft_delete_detail/<int:id>', fasilitasolahraga.softDelete_detail, name='admin_fasilitas_olahraga_soft_delete_detail'),
                    path('restore/<int:id>', fasilitasolahraga.restore, name='admin_fasilitas_olahraga_restore'),
                    path('restore_detail/<int:id>', fasilitasolahraga.restore_detail, name='admin_fasilitas_olahraga_restore_detail'),
                    # save atlet
                    path('create_data_atlet/<int:id>', fasilitasolahraga.dataAtlet_create, name='admin_fasilitas_olahraga_create_data_atlet'),
                    path('soft_delete_atlet/<int:id>', fasilitasolahraga.softDelete_atlit, name='admin_fasilitas_olahraga_soft_delete_atlit'),
                    path('restore_atlit/<int:id>', fasilitasolahraga.restore_atlit, name='admin_fasilitas_olahraga_restore_atlit'),

                    path('edit_taruna/<int:id>', fasilitasolahraga.edit_karang_taruna, name='admin_taruna_edit'),
                    path('edit_data_atlet/<int:id>', fasilitasolahraga.edit_data_atlet, name='edit_data_atlet'),
                ]
            )),

            #DATA PERTANIAN===============================
            path('pertanian/', include(
                [
                    path('', pertanian.admin_index, name='admin_pertanian'),   
                    path('create/', pertanian.create, name='admin_pertanian_create'), 
                    path('edit/<int:id>', pertanian.edit, name='admin_pertanian_edit'),
                    path('create_data/<int:id>', pertanian.detailpertanian, name='admin_pertanian_create_data'),
                    path('edit_kelompok_tani/<int:id>', pertanian.edit_kelompok_tani, name='edit_data_kelompoktani'),
                    path('edit_komoditas_tani/<int:id>', pertanian.edit_komoditas_pertanian, name='edit_komoditas'),
                    path('soft_delete/<int:id>', pertanian.softDelete, name='admin_pertanian_soft_delete'),

sidatasupiori/sidatasupiori/urls.py
from django.contrib import admin
from django.urls import path, include, re_path
from django.conf import settings
from django.conf.urls.static import static
from django.contrib.auth import views as auth_views
from django.views.static import serve
from django.views.generic import TemplateView

urlpatterns = [
    path('sudo_manage_panel/', admin.site.urls),
    path('accounts/reset/done/', auth_views.PasswordResetCompleteView.as_view(template_name='profile/admin/user/password/password_reset_complete.html'), name='password_reset_complete'), 
    path('accounts/', include("django.contrib.auth.urls")),
    path('ckeditor/', include('ckeditor_uploader.urls')),
    path('', include('rizq_sanjaya_app.urls')),
    path('captcha/',include("captcha.urls")),
    re_path(r'^media/(?P<path>.*)$', serve,{'document_root': settings.MEDIA_ROOT}), 
    re_path(r'^static/(?P<path>.*)$', serve,{'document_root': settings.STATIC_ROOT}),
]
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
urlpatterns += [
    path('<path:unknown_url>', TemplateView.as_view(template_name='404.html'), name='404'),
]

sidatasupiori/rizq_sanjaya_app/views/_complaint.py
from django.shortcuts import render, HttpResponse, HttpResponseRedirect, redirect
from django.contrib.auth.decorators import login_required
from django.views.decorators.http import require_http_methods
from ..forms import *
from django.contrib import messages
from ..models import Complaint
import os
from django.conf import settings
from django.core.mail import EmailMessage, get_connection
from django.template.loader import get_template
from django.utils import timezone
from ..decorators import *

@require_http_methods(["GET", "POST"])
def index(request):
    if request.method == 'GET':
        favorits = News.objects.filter(deleted_at=None).order_by('-seen')[:5]
        form = ComplaintForm()
        context = {
            'title' : 'Pengaduan',
            'form' : form,
            'favs' : favorits,
            'captcha' : MyCaptcha(),
        }

        return render(request, 'profile/complaint/index.html', context)
    
    if request.method == 'POST':
        form = ComplaintForm(data=request.POST)
        captcha = MyCaptcha(request.POST)

        if captcha.is_valid():
            if form.is_valid():
                try:
                    message = get_template("profile/email/complaint.html").render({
                        'name': request.POST.get('name'),
                        'email': request.POST.get('email'),
                        'phone': request.POST.get('phone'),
                        'subject': request.POST.get('subject'),
                        'message': request.POST.get('message'),
                    })
                    connection = get_connection(host=settings.EMAIL_HOST, 
                                                port=settings.EMAIL_PORT, 
                                                username=settings.EMAIL_HOST_USER_PENGADUAN, 
                                                password=settings.EMAIL_HOST_PASSWORD_PENGADUAN, 
                                                use_tls=settings.EMAIL_USE_TLS)
                    mail = EmailMessage(
                        subject=request.POST.get('subject'),
                        body=message,
                        to=[
                            # masih perlu diupdate
                            'yoelaris@gmail.com',
                        ],
                        connection=connection,
                    )
                    form.save()
                    
                    mail.content_subtype = "html"
                    mail.send()

                    messages.success(request, 'Pengaduan anda berhasil dikirim.')
                    
                except:
                    messages.success(request, 'Pengaduan anda gagal dikirim.')
                
                return redirect('profile:complaint')
        else:
            messages.error(request, 'Pengaduan anda gagal dikirim. Captcha tidak sama.')
            return redirect('profile:complaint')

        return render(request, 'profile/complaint/index.html', {'form': form})

@login_required
@is_verified()
@require_http_methods(["GET"])
def admin_index(request):
    complaint = Complaint.objects.filter(deleted_at = None).order_by('-created_at')
    archives = Complaint.objects.filter(deleted_at__isnull=False).order_by('-created_at')
    context = {
        'title' : 'Pengaduan - Admin',
        'complaints' : complaint,
        'archives' : archives,
    }
    
    return render(request, 'profile/admin/complaint/index.html', context)

@login_required
@is_verified()
@require_http_methods(["GET"])
def admin_detail(request, slug):
    template = 'profile/admin/complaint/detail.html'
    try:
        complaint = Complaint.objects.get(slug=slug)
        complaint.read_status=True
        complaint.save()
    except Complaint.DoesNotExist:
        complaint = None
    context = {
        'title' : 'Pengaduan' if complaint != None else 'TIDAK DITEMUKAN',
        'complaint' : complaint,
    }
    return render(request, template, context)

@login_required
@is_verified()
@require_http_methods(["POST"])
def reply(request):
    if request.method == 'POST':
        try:
            complaint = Complaint.objects.get(slug=request.POST.get('slug'))
            message = get_template("profile/email/complaint_reply.html").render({
                'name': complaint.name,
                'subject': complaint.subject,
                'message': complaint.message,
                'reply' : request.POST.get('balasan'),
            })
            connection = get_connection(host=settings.EMAIL_HOST, 
                                        port=settings.EMAIL_PORT, 
                                        username=settings.EMAIL_HOST_USER_PENGADUAN, 
                                        password=settings.EMAIL_HOST_PASSWORD_PENGADUAN, 
                                        use_tls=settings.EMAIL_USE_TLS)
            mail = EmailMessage(
                subject=f"Balasan terhadap pengaduan: {complaint.subject}",
                body=message,
                to=[
                    complaint.email,
                ],
                connection=connection,
            )
            mail.content_subtype = "html"
            mail.send()

            complaint.reply_status = True
            complaint.save()

            messages.success(request, 'Balasan anda berhasil dikirim.')
            return redirect('profile:admin_complaint_detail', slug=complaint.slug)
            
        except:
            messages.success(request, 'Balasan anda gagal dikirim.')
            return redirect('profile:complaint')

@login_required
@is_verified()
def softDelete(request, slug):
    message = ''
    try:
        sekarang = timezone.now()
        complaint = Complaint.objects.get(slug=slug)
        complaint.deleted_at = sekarang
        complaint.save()
        message = 'success'
    except Complaint.DoesNotExist:
        message = 'error'

    context = {
            'message' : message,
        }

    return HttpResponse(context)

@login_required
@is_verified()
def permanentDelete(request, slug):
    message = ''
    try:
        complaint = Complaint.objects.get(slug=slug)
        complaint.delete()
        message = 'success'
    except Complaint.DoesNotExist:
        message = 'error'

    context = {
            'message' : message,
        }

    return HttpResponse(context)
    
@login_required
@is_verified()
def restore(request, slug):
    message = ''
    try:
        complaint = Complaint.objects.get(slug=slug)
        complaint.deleted_at = None
        complaint.save()
        message = 'success'
    except Complaint.DoesNotExist:
        message = 'error'

    context = {
            'message' : message,
        }

    return HttpResponse(context)

sidatasupiori/rizq_sanjaya_app/templates/profile/admin/perhubungan/create.html
{% extends 'profile/layouts/admin/admin_layout.html' %}
{% load static %}
{% block css %}

    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/cropper/cropper.min.css' %}">
    <style>
        .crop-preview > canvas {
            width: 100%;
            height: auto;
        }
        .django-ckeditor-widget{
            width: 100% !important;
        }
    </style>

{% endblock css %}

{% block scripts %}
    {% load static %}

    <script type="text/javascript" src="{% static 'ckeditor/ckeditor-init.js' %}"></script>
    <script type="text/javascript" src="{% static 'ckeditor/ckeditor/ckeditor.js' %}"></script>

{% endblock scripts %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_perhubungan' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page"><a href="{% url 'profile:admin_perhubungan' %}">Data Perhubungan</a></li>
            <li class="breadcrumb-item active" aria-current="page">{% if edit %}Ubah{% else %}Tambah{% endif %}</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}
    
  
            {% include 'profile/admin/perhubungan/form.html' %}
      
    
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %} 
    <script src="{% static 'admin/js/cropper/cropper.min.js' %}"></script>
    <script src="{% static 'admin/js/cropper/jquery-cropper.min.js' %}"></script>
    <script>
        $( document ).ready(function() {
            $(".modal-close").click(function(){
                $("#id_thumbnail").val(null);
            });

            $("#id_thumbnail").change(function () {
                if (this.files && this.files[0]) {
                    let reader = new FileReader();
                    
                    reader.onload = function (e) {
                        $("#image").attr("src", e.target.result);
                        $("#modalCrop").modal("show");
                    }

                    reader.readAsDataURL(this.files[0]);
                }
            });

            let $image = $("#image");
            let cropBoxData;
            let canvasData;

            $("#modalCrop").on("shown.bs.modal", function () {
                $image.cropper({
                    viewMode: 1,
                    aspectRatio: 4/2,
                    minCropBoxWidth: 200,
                    minCropBoxHeight: 200,
                    ready: function () {
                        $image.cropper("setCanvasData", canvasData);
                        $image.cropper("setCropBoxData", cropBoxData);
                }
            });

            }).on("hidden.bs.modal", function () {
                cropBoxData = $image.cropper("getCropBoxData");
                canvasData = $image.cropper("getCanvasData");
                $image.cropper("destroy");
            });

            // Enable zoom in button
            $(".js-zoom-in").click(function () {
                $image.cropper("zoom", 0.1);
            });

            // Enable zoom out button
            $(".js-zoom-out").click(function () {
                $image.cropper("zoom", -0.1);
            });

            $(".js-crop-and-upload").click(function () {
                var cropData = $image.cropper("getData");
                $("#id_x").val(cropData["x"]);
                $("#id_y").val(cropData["y"]);
                $("#id_height").val(cropData["height"]);
                $("#id_width").val(cropData["width"]);
                $("#modalCrop").modal('hide');
                let data;
                let croppedimage = $image.cropper("getCroppedCanvas")
                $(".crop-preview").html(croppedimage);
                $("#old-image").addClass('d-none');
                $("#old-image").hide();
            });
        });
    </script>
{% endblock scripts_bawah %}

sidatasupiori/rizq_sanjaya_app/templates/profile/admin/perhubungan/form.html
<form method ='post' enctype ="multipart/form-data" 
    {% if edit %}
        action=""
    {% else %}
        action="{% url 'profile:admin_perhubungan_create' %}"
    {% endif %}>

   
    {% csrf_token %}
    <div class="row">
        <div class="col-md-12">
            <div class="card border-left-primary shadow h-100 py-2 ">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col-md-5">
                            <div class="col mr-2">
                                <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                   Wilayah
                                </div>
                               
                            </div>
                            <div class="col-auto">
                                <select name="kampung" id="" class="form-control list_wilayah select2">
                                    <option value="">Kampung/Distrik</option>
                                    {% for data_kampung in  datakampung_list %}
                                        <option value="{{data_kampung.id}}">{{data_kampung.distrik.title}}-{{data_kampung.titles}}</option>
                                    {% endfor %}    
                                </select>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="col mr-2">
                                <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                    Penanggungjawab
                                </div>
                               
                            </div>
                            <div class="col-auto">
                                <select name="penanggungjawab" class="form-control">
                                    <option value="">Pilih Penanggungjawab</option>
                                    {% for datajawab in datajawab_list %}
                                        <option value="{{datajawab.id}}">{{datajawab.nama}}</option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="col mr-2">
                                <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                    Tahun
                                </div>
                               
                            </div>
                            <div class="col-auto">
                                <select name="tahun"  class="form-control">
                                    <option value="">Pilih Tahun</option>
                                    <option value="2020">2020</option>    
                                    <option value="2021">2021</option>    
                                    <option value="2022">2022</option>    
                                    <option value="2023">2023</option>    
                                    <option value="2024">2024</option>    
                                </select>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
    <div>
        <hr>
    </div>
    <div class="card shadow ">
        <h5 class="card-header bg-gradient-primary text-white"><i class="bi bi-pencil"></i> {% if edit %}Ubah{% else %}Tambah{% endif %} Data Perhubungan</h5>
            <div class="card-body">
                <div class="row" style="padding-top: 20px;">
                    <div class="form-group col-md-4">
                        <label for="jml_halte">Jumlah Halte</label>
                        <input type="number"  placeholder=""
                            class="form-control"
                            name="jml_halte"
                            required>
                    </div>
                    <div class="form-group col-md-4">
                        <label for="foto">Upload Bukti Foto</label>
                        <input type="file" name="foto_halte" class="form-control">
                    </div>
                </div>
                <div class="row" style="padding-top: 20px;">
                    <div class="form-group col-md-4">
                        <label for="jml_terminal">Jumlah Terminal</label>
                        <input type="number"  placeholder=""
                            class="form-control"
                            name="jml_terminal"
                            required>
                    </div>
                    <div class="form-group col-md-4">
                        <label for="foto">Upload Bukti Foto</label>
                        <input type="file" name="foto_terminal" class="form-control">
                    </div>
                </div>
                <hr>
                <div class="row" style="color:black; border-radius: 0px 0px 0px 0px;">                 
                    <div class="form-group col-md-4">
                        <label for="jml_dermaga">Dermaga Beton</label>
                        <input type="number"  placeholder=""
                            class="form-control"
                            name="jml_dermaga"
                            required>
                    </div>
                    <div class="form-group col-md-4">
                        <label for="kondisi_dermaga">Kondisi Dermaga Beton</label>
                        <select name="kondisi_dermaga" id="" class="form-control">
                            <option value="Baik">Baik</option>
                            <option value="Rusak Ringan">Rusak Ringan</option>
                            <option value="Rusak Berat">Rusak Berat</option>
                        </select>
                    </div>
                    <div class="form-group col-md-4">
                        <label for="foto">Upload Bukti Foto</label>
                        <input type="file" name="foto_dermaga" class="form-control">
                    </div>
                </div>
                <div class="row" style="color:black; border-radius: 0px 0px 0px 0px;">                 
                    <div class="form-group col-md-4">
                        <label for="jml_tambatan_perahu">Tambatan Perahu</label>
                        <input type="number"  placeholder=""
                            class="form-control"
                            name="jml_tambatan_perahu"
                            required>
                    </div>
                    <div class="form-group col-md-4">
                        <label for="kondisi_tambatan_perahu">Kondisi Tambatan Perahu</label>
                        <select name="kondisi_tambatan_perahu" id="" class="form-control">
                            <option value="Baik">Baik</option>
                            <option value="Rusak Ringan">Rusak Ringan</option>
                            <option value="Rusak Berat">Rusak Berat</option>
                        </select>
                    </div>
                    <div class="form-group col-md-4">
                        <label for="foto">Upload Bukti Foto</label>
                        <input type="file" name="foto_tambatan_perahu" class="form-control">
                    </div>
                </div>
               <div class="row" style="padding-top: 10px;">
                <div class="col-md-12">
                    <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan</button>
                </div>
               </div>
            </div>
    </div>
    
</form>